package com.godoro.samples.jdbc;

import java.sql.*;

public class ResultSetMetaDataTest {
    
  public static void main(String[] args)
    throws Exception
  {
    String driverClass="sun.jdbc.odbc.JdbcOdbcDriver";     
    Class.forName(driverClass);       
    String url="jdbc:odbc:mydatasource";     
    String username="sa";
    String password="godoro";
    Connection connection = DriverManager.getConnection(url,username,password);
    System.out.println("Connected to database");          
    
    Statement stmt=connection.createStatement();
    ResultSet rs=stmt.executeQuery("select * from BankAccount");
    ResultSetMetaData metadata=rs.getMetaData();
    System.out.println("Column count : "+metadata.getColumnCount());
    for(int i=1;i<metadata.getColumnCount()+1;i++){
        System.out.println(metadata.getColumnName(i)+" "+metadata.getColumnTypeName(i));
    }    
    
  }
    
}

